Update your workspace
curl --request PATCH \
--url https://api.trytikt.com/v1/workspace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"min_score": 2,
"auto_qualify": true
}
'import requests
url = "https://api.trytikt.com/v1/workspace"
payload = {
"name": "<string>",
"min_score": 2,
"auto_qualify": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', min_score: 2, auto_qualify: true})
};
fetch('https://api.trytikt.com/v1/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/workspace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'min_score' => 2,
'auto_qualify' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/workspace"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"min_score\": 2,\n \"auto_qualify\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.trytikt.com/v1/workspace")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"min_score\": 2,\n \"auto_qualify\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/workspace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"min_score\": 2,\n \"auto_qualify\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"min_score": 123,
"auto_qualify": true,
"agent": {
"state": "running",
"paused_at": "<string>"
},
"period": {
"start": "<string>",
"end": "<string>",
"open": true
},
"deletion_scheduled_for": "<string>"
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}Workspace and credits
Update your workspace
Change the workspace’s name, its threshold (min_score, 0 to 5) or automatic scoring. Sends a workspace.updated event. Requires a Read and write key.
PATCH
/
v1
/
workspace
Update your workspace
curl --request PATCH \
--url https://api.trytikt.com/v1/workspace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"min_score": 2,
"auto_qualify": true
}
'import requests
url = "https://api.trytikt.com/v1/workspace"
payload = {
"name": "<string>",
"min_score": 2,
"auto_qualify": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', min_score: 2, auto_qualify: true})
};
fetch('https://api.trytikt.com/v1/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/workspace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'min_score' => 2,
'auto_qualify' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/workspace"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"min_score\": 2,\n \"auto_qualify\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.trytikt.com/v1/workspace")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"min_score\": 2,\n \"auto_qualify\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/workspace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"min_score\": 2,\n \"auto_qualify\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"min_score": 123,
"auto_qualify": true,
"agent": {
"state": "running",
"paused_at": "<string>"
},
"period": {
"start": "<string>",
"end": "<string>",
"open": true
},
"deletion_scheduled_for": "<string>"
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}Authorizations
Your API key, created in Settings › API: Authorization: Bearer tikt_live_….
Body
application/json
Response
Success.
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$